%define build_rebuild 0
%{?_with_rebuild: %global build_rebuild 1}

Summary:	Free versions of the 35 standard PostScript fonts
Name:		urw-fonts
Version:	2.0
Release:	11mdk

Source0:	http://heanet.dl.sourceforge.net/sourceforge/gs-fonts/ghostscript-fonts-std-8.11.tar.bz2
# this overwrites several of the fonts and fonts.dir with new versions
#Source1:	ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre22.tar.bz2
#
# (fc) 2.0-9mdk patched Nimbus Medium font using Bold instead of Medium as weight
Source2:	urw-fonts-nimbus-bold.tar.bz2
# Mashrab Kuvatov <kmashrab@uni-bremen.de> added some missing cyrillic
# letters - pablo
Source3:	urw-fonts-kmashrab.tar.bz2 
Source4:	urw-fonts-2.0-11mdk.tar.bz2

# addition of *-iso10646-1 lines
Patch0:		urw-fonts-2.0-fontscale.patch.bz2
Patch1:		urw-fonts-monospaced.patch.bz2

License:	GPL, URW holds copyright
Group:		System/Fonts/Type1
URL:		ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
%if %build_rebuild
BuildRequires:	pfaedit >= 031123-2mdk
%endif
BuildRequires:	XFree86
Prereq:		chkfontpath

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c -a2 -a3 -a4
%patch0 -p1 -b .fontscale
%patch1 -p1 -b .mono

%build
%if %build_rebuild
# Resave PFB fonts with /FontBBox as executable array
cat > copypfb.pe <<EOF
#!/usr/bin/pfaedit
Open(\$1);
SetFontNames(\$fontname,\$familyname,\$fullname,\$weight,\$copyright,\$fontversion + "_%{version}-%{release}");
Generate(\$2,"",3);
Print ("Rebuild ", \$fontname);
Quit(0);
EOF

chmod +x copypfb.pe
mkdir -p fixedfonts fixedfontscyr
for i in fonts/*.pfb; do
	./copypfb.pe $i fixedfonts/`basename $i`
done

for i in *.pfb; do
	./copypfb.pe $i fixedfontscyr/`basename $i`
done
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1

%if %build_rebuild
# copy orignal URW fonts
cp -f fixedfonts/*.afm fixedfonts/*.pfm fixedfonts/*.pfb \
	$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1
# copy the new versions with cyrillic glyphs (and overwrite original
# ones if needed)
cp -f fixedfontscyr/*.afm fixedfontscyr/*.pfm fixedfontscyr/*.pfb $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1
# copy fonts.scale 
install -m 644 fonts/fonts.scale $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
# copy fonts.alias from original
install -m 644 fonts/fonts.alias $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/

%else
cp -f	urw-fonts-2.0-11mdk/*.afm \
	urw-fonts-2.0-11mdk/*.pfm \
	urw-fonts-2.0-11mdk/*.pfb \
	urw-fonts-2.0-11mdk/*.scale \
	urw-fonts-2.0-11mdk/*.alias \
		$RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
%endif

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
    mkfontdir .
    /usr/bin/fc-cache . || touch fonts.cache-1
    popd
}

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/default/Type1

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/default/Type1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %_datadir/fonts/
%dir %_datadir/fonts/default/
%dir %{_datadir}/fonts/default/Type1
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.dir
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.scale
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.alias
%{_datadir}/fonts/default/Type1/fonts.cache-1
%{_datadir}/fonts/default/Type1/*.afm
%{_datadir}/fonts/default/Type1/*.pfb
%{_datadir}/fonts/default/Type1/*.pfm

%changelog
* Thu Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-11mdk
- Added %%build_rebuild conditional building flag.
- Fixed fonts for bug http://bugs.mandrakelinux.com/query.php?bug=94.
- Dropped Source1: fonts from 
  ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre22.tar.bz2
  and new ghostscript-fonts-std-8.11.tar.bz2 are identical, so take the gs one.
- Rebuilt Patch0.

* Mon Aug 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-10mdk
- Add Source3: improved versions of some fonts (added missing cyrillic
  glyphs) by Mashrab Kuvatov

* Fri Mar 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0-9mdk
- Add source2: patched version of Nimbus Medium (Italic) using Bold 
  instead of Medium as weight (fix Mdk bug 2606)

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-8mdk
- addition of some *-iso10464-1 lines, so the fonts can be used
  in utf-8 locales

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-7mdk
- rebuild with cache files for Xft2
- included latest verson (pre20) of cyrillic urw fonts

* Wed Sep 04 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-6mdk
- rebuild including cyrillicized versions of the different fonts.
- alos, added iso8859-3 and iso8859-14 when applicable

* Tue Feb 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-5mdk
- fixed bug in dingbat encoding; added iso8859-9, -13 and -15 lines

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Own /usr/share/fonts/ & Co

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- added XftCache support

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Don't provide Fontmap, it breaks ghostscript

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Resync with Redhat (2.0-11)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-11mdk
- BM + macroszification
- rename file to rename version number

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-10mdk
- fix group 

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.


* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
